{#include base}
    {#title}My Title{/title}
    <div class="container mx-auto my-48">
        <h2>Hello {name}!</h2>
        <button class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded"
                hx-get="/hello/timestamp"
                hx-trigger="every 5s"
                hx-target="#timestamp-div"
                hx-swap="innerHTML">
            Get Timestamp
        </button>
        <div id="timestamp-div"></div>
        <div hx-ext="sse" sse-connect="/hello/sse" sse-swap="message">
            Contents of this box will be updated in real time
            with every SSE message received from the chatroom.
        </div>

        <hr />

        <div hx-ext="ws" ws-connect="/hello/chat/{name}">
            <ul id="notifications"></ul>
            <form id="form" ws-send>
                <label>
                    <input class="shadow appearance-none border border-grey-500 rounded py-2 px-3 text-gray-700 mb-3 leading-tight focus:outline-none focus:shadow-outline"
                           name="content">
                </label>
                <button class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded">Send</button>
            </form>
        </div>
    </div>

{/include}